Package com.independentsoft.office.spreadsheet.pivotTables

# Class DataField

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.DataField

public class DataField extends Object
The Class DataField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataField()`
  Instantiates a new data field.
  `DataField​(int index)`
  Instantiates a new data field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataField`
  `clone()`
  `long`
  `getBaseField()`
  Gets the base field.
  `long`
  `getBaseItem()`
  Gets the base item.
  `DisplayFormat`
  `getDisplayFormat()`
  Gets the display format.
  `long`
  `getIndex()`
  Gets the index.
  `String`
  `getName()`
  Gets the name.
  `long`
  `getNumberFormatID()`
  Gets the number format id.
  `DataConsolidateFunction`
  `getSubtotal()`
  Gets the subtotal.
  `void`
  `setBaseField​(long baseField)`
  Sets the base field.
  `void`
  `setBaseItem​(long baseItem)`
  Sets the base item.
  `void`
  `setDisplayFormat​(DisplayFormat displayFormat)`
  Sets the display format.
  `void`
  `setIndex​(long index)`
  Sets the index.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNumberFormatID​(long numberFormatID)`
  Sets the number format id.
  `void`
  `setSubtotal​(DataConsolidateFunction subtotal)`
  Sets the subtotal.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataField

    public DataField()
    Instantiates a new data field.

  - ### DataField

    public DataField​(int index)
    Instantiates a new data field.
    Parameters:
      `index` - the index

- ## Method Details

  - ### clone

    public DataField clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBaseField

    public long getBaseField()
    Gets the base field.
    Returns:
      the base field

  - ### setBaseField

    public void setBaseField​(long baseField)
    Sets the base field.
    Parameters:
      `baseField` - the new base field

  - ### getBaseItem

    public long getBaseItem()
    Gets the base item.
    Returns:
      the base item

  - ### setBaseItem

    public void setBaseItem​(long baseItem)
    Sets the base item.
    Parameters:
      `baseItem` - the new base item

  - ### getIndex

    public long getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(long index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getNumberFormatID

    public long getNumberFormatID()
    Gets the number format id.
    Returns:
      the number format id

  - ### setNumberFormatID

    public void setNumberFormatID​(long numberFormatID)
    Sets the number format id.
    Parameters:
      `numberFormatID` - the new number format id

  - ### getDisplayFormat

    public DisplayFormat getDisplayFormat()
    Gets the display format.
    Returns:
      the display format

  - ### setDisplayFormat

    public void setDisplayFormat​(DisplayFormat displayFormat)
    Sets the display format.
    Parameters:
      `displayFormat` - the new display format

  - ### getSubtotal

    public DataConsolidateFunction getSubtotal()
    Gets the subtotal.
    Returns:
      the subtotal

  - ### setSubtotal

    public void setSubtotal​(DataConsolidateFunction subtotal)
    Sets the subtotal.
    Parameters:
      `subtotal` - the new subtotal